You are not logged in.

#1 2020-10-10 00:48:34

jammer
Member
Registered: 2020-10-10
Posts: 6

Problems with pacman keys

So I haven't touched my installation for a while and now when I try to do anything with pacman I'm getting errors about keys ... But when I try to update keys it fails. I'm really new Arch user and totally lost what I'm supposed to do?

[jammer@ ~]$ sudo pacman-key --refresh-keys
gpg: refreshing 113 keys from hkps://hkps.pool.sks-keyservers.net
gpg: keyserver refresh failed: General error
==> ERROR: A specified local key could not be updated from a keyserver.

[jammer@ ~]$ sudo pacman -S archlinux-keyring
resolving dependencies...
looking for conflicting packages...

Packages (1) archlinux-keyring-20200820-1

Total Installed Size:  1.29 MiB
Net Upgrade Size:      0.36 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                                                                                                                                                                             [##########################################################################################################################################] 100%
downloading required keys...
error: key "6D42BDD116E0068F" could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

Offline

#2 2020-10-10 01:17:49

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,985

Re: Problems with pacman keys

You need to be more specific than "a while". If pacman -V doesn't tell you have have pacman 5.2.0 or newer, it's too old to update the system successfully. If your libarchive doesn't have zstd support, you're not going to be able to even extract the packages.

Best thing to do is to use pacman-static or the install ISO with pacman --sysroot to update the system. You can get around the key error by using a working keyserver like hkps://keyserver.ubuntu.com

Offline

#3 2020-10-10 02:27:03

jammer
Member
Registered: 2020-10-10
Posts: 6

Re: Problems with pacman keys

I'm running pacman 5.1.3, but guess I'll do reinstall then if that's too old. Just was unexpected that it would stop working like that. I appreciate for getting me the info so fast... thought I might be doing something wrong trying to update.

Offline

Board footer

Powered by FluxBB